/*************************************************  Global Functions Header  **************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	Copyright 2018, Red Rapids, Inc.

*************************************************  Global Functions Header  **************************************************/

#ifndef _GLOBAL_FUNCTIONS_H_
#define _GLOBAL_FUNCTIONS_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Prototypes for each of the common functions in alphabetic order.
int BusClose(s_Handle *p_HW);
int BusOpen(s_Handle *p_HW);
unsigned FirmwareRevision(s_Handle *p_HW);
int MicrosecondTimer(unsigned long Time);
unsigned ModelNumber(s_Handle *p_HW);
void Read(s_Handle *p_HW, unsigned long Bar, unsigned long Off, unsigned long long *p_Value);
void SoftwareReset(s_Handle *p_HW);
void Write(s_Handle *p_HW, unsigned long Bar, unsigned long Off, unsigned long long Value);

#ifdef __cplusplus
}
#endif

#endif
